JavaScript
import GboxSDK from "gbox-sdk";
const gboxSDK = new GboxSDK({
apiKey: process.env["GBOX_API_KEY"] // This is the default and can be omitted
});
async function main() {
const box = await gboxSDK.create({ type: "linux" });
// First, open some tabs
console.info("Opening tabs...")
await box.browser.openTab("https://gbox.ai")
await box.browser.openTab("https://gru.ai")
await box.browser.openTab("https://google.com")
// List tabs
const tabsResult = await box.browser.listTabs();
console.log(`Found ${tabsResult.length} tabs`);
// Close first tab
const targetTab = tabsResult[0]
await box.browser.closeTab(targetTab.data.id);
console.info(`Closed ${targetTab.data.title} (${targetTab.data.url})`)
}
main();import os
from gbox_sdk import GboxSDK
def main():
gbox_sdk = GboxSDK(api_key=os.environ["GBOX_API_KEY"])
box = gbox_sdk.create(type="linux")
# First, open some tabs
print("Opening tabs...")
box.browser.open_tab("https://gbox.ai")
box.browser.open_tab("https://gru.ai")
box.browser.open_tab("https://google.com")
# List tabs
tabs_result = box.browser.list_tabs()
print(f"Found {len(tabs_result)} tabs")
# Close first tab
target_tab = tabs_result[0]
box.browser.close_tab(target_tab.data.id)
print(f"Closed {target_tab.data.title} ({target_tab.data.url})")
if __name__ == "__main__":
main()curl --request DELETE \
--url https://gbox.ai/api/v1/boxes/{boxId}/browser/tabs/{tabId} \
--header 'Authorization: Bearer <token>'{
"message": "Tab 1 closed successfully"
}Browser
Close a browser tab
Close a specific browser tab identified by its id. This endpoint will permanently close the tab and free up the associated resources. After closing a tab, the ids of subsequent tabs may change.
DELETE
/
boxes
/
{boxId}
/
browser
/
tabs
/
{tabId}
JavaScript
import GboxSDK from "gbox-sdk";
const gboxSDK = new GboxSDK({
apiKey: process.env["GBOX_API_KEY"] // This is the default and can be omitted
});
async function main() {
const box = await gboxSDK.create({ type: "linux" });
// First, open some tabs
console.info("Opening tabs...")
await box.browser.openTab("https://gbox.ai")
await box.browser.openTab("https://gru.ai")
await box.browser.openTab("https://google.com")
// List tabs
const tabsResult = await box.browser.listTabs();
console.log(`Found ${tabsResult.length} tabs`);
// Close first tab
const targetTab = tabsResult[0]
await box.browser.closeTab(targetTab.data.id);
console.info(`Closed ${targetTab.data.title} (${targetTab.data.url})`)
}
main();import os
from gbox_sdk import GboxSDK
def main():
gbox_sdk = GboxSDK(api_key=os.environ["GBOX_API_KEY"])
box = gbox_sdk.create(type="linux")
# First, open some tabs
print("Opening tabs...")
box.browser.open_tab("https://gbox.ai")
box.browser.open_tab("https://gru.ai")
box.browser.open_tab("https://google.com")
# List tabs
tabs_result = box.browser.list_tabs()
print(f"Found {len(tabs_result)} tabs")
# Close first tab
target_tab = tabs_result[0]
box.browser.close_tab(target_tab.data.id)
print(f"Closed {target_tab.data.title} ({target_tab.data.url})")
if __name__ == "__main__":
main()curl --request DELETE \
--url https://gbox.ai/api/v1/boxes/{boxId}/browser/tabs/{tabId} \
--header 'Authorization: Bearer <token>'{
"message": "Tab 1 closed successfully"
}Authorizations
Enter your API Key in the format: Bearer . Get it from https://gbox.ai
Path Parameters
Box ID
Example:
"c9bdc193-b54b-4ddb-a035-5ac0c598d32d"
Response
200 - application/json
Successfully closed the tab
Example:
"Tab 1 closed successfully"
Was this page helpful?